<?php
/***************************************************************************
 *                               music_list.php
 *                            -------------------
 *   begin                : Mittowch, 17. Okt. 2007
 *   copyright            : (C) 2007 Chantals - Fanpage (http://www.chantals-fanpage.de)
 *   email                : N/A
 *   support              : N/A
 *
 *   $Id: music_list.php,v 1.0 2007/10/17 16:25:03 Christian_N Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

define('IN_PHPBB', true);
$phpbb_root_path = './';
$music_root_path = $phpbb_root_path . 'music_box/';
include($phpbb_root_path . 'extension.inc');
include($phpbb_root_path . 'common.'.$phpEx);

//
// Start session management
//
$userdata = session_pagestart($user_ip, PAGE_MUSIC);
init_userprefs($userdata);
//
// End session management
//

include($music_root_path . 'music_common.'.$phpEx);

if ( isset($HTTP_POST_VARS['user_id']) || isset($HTTP_GET_VARS['user_id']))
{
	$user_id = ( isset($HTTP_POST_VARS['user_id']) ) ? $HTTP_POST_VARS['user_id'] : $HTTP_GET_VARS['user_id'];
}
else
{
	$user_id = '';
}

if ( $user_id != '' )
{
	$sql = "SELECT s.song_id, s.song_title, s.song_singer, s.song_time, s.song_user_id, u.user_id
			FROM ". MUSIC_TABLE ." AS s
				LEFT JOIN ". USERS_TABLE ." AS u ON s.song_user_id = u.user_id
			WHERE u.user_id LIKE '" . $user_id . "'
			GROUP BY s.song_id
			ORDER BY s.song_time DESC";

	if( !($result = $db->sql_query($sql)) )
	{
		message_die(GENERAL_ERROR, 'Could not query Music list information', '', __LINE__, __FILE__, $sql);
	}

	$musiclistrow = array();

	while( $row = $db->sql_fetchrow($result) )
	{
		$musiclistrow[] = $row;
	}


	if (count($musiclistrow) > 0)
	{
		for ($i = 0; $i < count($musiclistrow); $i += $music_config['rows_per_page'])
		{
			$template->assign_block_vars('music_list', array());

			for ($j = $i; $j < ($i + $music_config['rows_per_page']); $j++)
			{
				if( $j >= count($musiclistrow) )
				{
					break;
				}

				$template->assign_block_vars('music_list.detail', array(
					'TITLE' => '<a href="'. append_sid("music_page.$phpEx?song_id=". $musiclistrow[$j]['song_id']) . '">' . $musiclistrow[$j]['song_title'] . '</a>',
					'SINGER' => $musiclistrow[$j]['song_singer'],
					'TIME' => create_date($lang['DATE_FORMAT'], $musiclistrow[$j]['song_time'], $board_config['board_timezone']))
				);
			}
		}
	}
	else
	{
		//
		// No songs Found
		//
		$template->assign_block_vars('no_songs', array());
	}
}
else
{
	//
	// No Cats Found
	//
	$template->assign_block_vars('no_songs', array());
}



/*
+----------------------------------------------------------
| Start output the page
+----------------------------------------------------------
*/

$page_title = $lang['Music_list'];
include($phpbb_root_path . 'includes/page_header.'.$phpEx);

$template->set_filenames(array(
	'body' => 'music_list_body.tpl')
);

$template->assign_vars(array(
	'L_MUSIC_LIST' => $lang['Music_list'],
	'L_NO_SONGS' => $lang['No_Songs'],
	'L_SONG_TITLE' => $lang['Song_Title'],
	'L_SINGER' => $lang['Singer'],
	'L_DATE' => $lang['Date'],

	'U_MUSIC_LIST' => append_sid("music_list.$phpEx?user_id=" . $user_id))
);

//
// Generate the page
//
$template->pparse('body');

include($phpbb_root_path . 'includes/page_tail.'.$phpEx);

// +------------------------------------------------------+
// |    Powered by Music Online 2.0 (c) 2004 Cf Manager   |
// +------------------------------------------------------+

?>